Subject: Re: linux-next: Tree for Apr 20

From: Christian Borntraeger <[email-masked]>
Date: Mon, 20 Apr 2020 09:30:50 +0200

On 20.04.20 09:23, Hadar Gat wrote:
> 
>> On 20.04.20 06:26, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> Changes since 20200417:
>>>
>>> My fixes tree is empty again.
>>>
>>> The qcom tree still had its build failure for which I reverted a commit.
>>>
>>> The crypto tree still has its build failure for which I reverted 5 commits.
>>>
>>> The drm-misc tree gained a build failure for which I disabled a
>>> COMPILE_TEST setting.
>>>
>>> The sound-asoc tree still has its build failures so I used the version
>>> from next-20200414.
>>>
>>> The ipmi tree gained a build failure for which I applied a patch.
>>>
>>> Non-merge commits (relative to Linus' tree): 2732
>>>  3544 files changed, 76515 insertions(+), 37271 deletions(-)
>>
>> s390 defconfig still does not compile. While the media kconfig problem is
>> gone I now have
>>
>>   CC [M]  drivers/char/hw_random/cctrng.o
>> drivers/char/hw_random/cctrng.c: In function ‘cc_trng_compwork_handler’:
>> drivers/char/hw_random/cctrng.c:334:49: error: ‘fips_enabled’ undeclared
>> (first use in this function); did you mean ‘vdso_enabled’?
>>   334 |  if (CC_REG_FLD_GET(RNG_ISR, CRNGT_ERR, isr) && fips_enabled) {
>>       |                                                 ^~~~~~~~~~~~
>>       |                                                 vdso_enabled
>> drivers/char/hw_random/cctrng.c:334:49: note: each undeclared identifier is
>> reported only once for each function it appears in
>> drivers/char/hw_random/cctrng.c:335:3: error: implicit declaration of
>> function ‘fips_fail_notify’ [-Werror=implicit-function-declaration]
>>   335 |   fips_fail_notify();
>>       |   ^~~~~~~~~~~~~~~~
>> cc1: some warnings being treated as errors
>>
>> Can we maybe make this driver depend on ARM?
> 
> Hi,
> This compilation issue is already fixed.
> It was pushed few days ago and is waiting to be applied.
> https://lore.kernel.org/linux-crypto/[email-masked]/

Herbert,

can these things be applied in a timely fashion? This DOES break several automated test 
cases that usually run on linux-next.